- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: de0ae931-6325-4aba-ad73-916554e9e9a0
    creation_time: 2023-02-17T12:06:45.143075Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/id_build.i
      input_file_hashes:
        c/loop-invgen/id_build.i: 2c4c8975bee6324b0c0486aa99ba8be369d6762a33e8dd5b012191d5fa43c106
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/id_build.i
    file_hash: 2c4c8975bee6324b0c0486aa99ba8be369d6762a33e8dd5b012191d5fa43c106
    line: 27
    column: 0
    function: main
  loop_invariant:
    string: i >= 0
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 7803c613-349c-4eba-869c-8af8dfb4b97b
    creation_time: 2023-02-17T12:06:45.143259Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/id_build.i
      input_file_hashes:
        c/loop-invgen/id_build.i: 2c4c8975bee6324b0c0486aa99ba8be369d6762a33e8dd5b012191d5fa43c106
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/id_build.i
    file_hash: 2c4c8975bee6324b0c0486aa99ba8be369d6762a33e8dd5b012191d5fa43c106
    line: 28
    column: 0
    function: main
  loop_invariant:
    string: 0 <= nlen-1-i && nlen-1-i < nlen
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: d751e09c-dcb2-4bae-a780-de3631ea392b
    creation_time: 2023-02-17T12:06:45.143439Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/id_build.i
      input_file_hashes:
        c/loop-invgen/id_build.i: 2c4c8975bee6324b0c0486aa99ba8be369d6762a33e8dd5b012191d5fa43c106
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/id_build.i
    file_hash: 2c4c8975bee6324b0c0486aa99ba8be369d6762a33e8dd5b012191d5fa43c106
    line: 29
    column: 0
    function: main
  location_invariant:
    string: 0 <= nlen-1-i
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 5a91e2bb-a005-49b4-b032-044c6ac8b019
    creation_time: 2023-02-17T12:06:45.143524Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/id_build.i
      input_file_hashes:
        c/loop-invgen/id_build.i: 2c4c8975bee6324b0c0486aa99ba8be369d6762a33e8dd5b012191d5fa43c106
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/id_build.i
    file_hash: 2c4c8975bee6324b0c0486aa99ba8be369d6762a33e8dd5b012191d5fa43c106
    line: 30
    column: 0
    function: main
  location_invariant:
    string: nlen-1-i < nlen
    type: assertion
    format: C

